[
    {
        "Id": "38ef398835e2b0a61fac4e104023fc96b2d5b1b99a6dbbf0a40ed083a938cdc4",
        "Created": "2025-07-16T02:00:44.532258891Z",
        "Path": "/docker-entrypoint.sh",
        "Args": [
            "/usr/sbin/mosquitto",
            "-c",
            "/mosquitto/config/mosquitto.conf"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 4624,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-06T01:46:53.561060168Z",
            "FinishedAt": "2025-08-06T01:45:45.011004233Z"
        },
        "Image": "sha256:42292b8c65929a73035020c83d33a02e225da8736026b498296e952608942111",
        "ResolvConfPath": "/var/lib/docker/containers/38ef398835e2b0a61fac4e104023fc96b2d5b1b99a6dbbf0a40ed083a938cdc4/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/38ef398835e2b0a61fac4e104023fc96b2d5b1b99a6dbbf0a40ed083a938cdc4/hostname",
        "HostsPath": "/var/lib/docker/containers/38ef398835e2b0a61fac4e104023fc96b2d5b1b99a6dbbf0a40ed083a938cdc4/hosts",
        "LogPath": "/var/lib/docker/containers/38ef398835e2b0a61fac4e104023fc96b2d5b1b99a6dbbf0a40ed083a938cdc4/38ef398835e2b0a61fac4e104023fc96b2d5b1b99a6dbbf0a40ed083a938cdc4-json.log",
        "Name": "/mosquitto",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/home/jonathan/mosquitto/config:/mosquitto/config",
                "/home/jonathan/mosquitto/data:/mosquitto/data",
                "/home/jonathan/mosquitto/log:/mosquitto/log"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "bridge",
            "PortBindings": {
                "1883/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "1883"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "always",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": null,
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": [],
            "BlkioDeviceReadBps": [],
            "BlkioDeviceWriteBps": [],
            "BlkioDeviceReadIOps": [],
            "BlkioDeviceWriteIOps": [],
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": [],
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": [],
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "LowerDir": "/var/lib/docker/overlay2/f72b6577cf88ad5b47d64ef2a6b1be6d3b0210e3b5a55efc9ecc58b74091103c-init/diff:/var/lib/docker/overlay2/3978aa2dd38ecce7449723c3936b644a5994754aeadb68ddc8d8b8dfc11e6df8/diff:/var/lib/docker/overlay2/c707902371e7524e29a67354131dfba07b2363689fc2d27dfd4c0cd6ecd14761/diff:/var/lib/docker/overlay2/9ab493372e037bb241633650451d403fe318b3b1799f98ba9c799f7e8ab22bc3/diff",
                "MergedDir": "/var/lib/docker/overlay2/f72b6577cf88ad5b47d64ef2a6b1be6d3b0210e3b5a55efc9ecc58b74091103c/merged",
                "UpperDir": "/var/lib/docker/overlay2/f72b6577cf88ad5b47d64ef2a6b1be6d3b0210e3b5a55efc9ecc58b74091103c/diff",
                "WorkDir": "/var/lib/docker/overlay2/f72b6577cf88ad5b47d64ef2a6b1be6d3b0210e3b5a55efc9ecc58b74091103c/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/home/jonathan/mosquitto/config",
                "Destination": "/mosquitto/config",
                "Mode": "",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/home/jonathan/mosquitto/data",
                "Destination": "/mosquitto/data",
                "Mode": "",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/home/jonathan/mosquitto/log",
                "Destination": "/mosquitto/log",
                "Mode": "",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "ba6ac5fe5ba0",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": false,
            "AttachStderr": false,
            "ExposedPorts": {
                "1883/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "VERSION=2.0.22",
                "DOWNLOAD_SHA256=2f752589ef7db40260b633fbdb536e9a04b446a315138d64a7ff3c14e2de6b68",
                "GPG_KEYS=A0D6EEA1DCAE49A635A3B2F0779B22DFB3E717B7",
                "LWS_VERSION=4.2.1",
                "LWS_SHA256=842da21f73ccba2be59e680de10a8cce7928313048750eb6ad73b6fa50763c51"
            ],
            "Cmd": [
                "/usr/sbin/mosquitto",
                "-c",
                "/mosquitto/config/mosquitto.conf"
            ],
            "Image": "eclipse-mosquitto:latest",
            "Volumes": {
                "/mosquitto/data": {},
                "/mosquitto/log": {}
            },
            "WorkingDir": "/",
            "Entrypoint": [
                "/docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "description": "Eclipse Mosquitto MQTT Broker",
                "maintainer": "Roger Light <roger@atchoo.org>"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "2b7bcaa88c3298f5a0bfd0b71ebcd52336d84af5ba77be36fc6772e6c3904684",
            "SandboxKey": "/var/run/docker/netns/2b7bcaa88c32",
            "Ports": {
                "1883/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "1883"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "1883"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "10ed3351cdb15559f233aca50ea9fcac7c9189e2302f6007474cf8987d9bb131",
            "Gateway": "172.17.0.1",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "172.17.0.3",
            "IPPrefixLen": 16,
            "IPv6Gateway": "",
            "MacAddress": "02:42:ac:11:00:03",
            "Networks": {
                "bridge": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [],
                    "MacAddress": "02:42:ac:11:00:03",
                    "DriverOpts": null,
                    "NetworkID": "19e19e1e17ac08d903b6bd86f4fed90cf9406daf57e13130ed717752a4bd63e0",
                    "EndpointID": "10ed3351cdb15559f233aca50ea9fcac7c9189e2302f6007474cf8987d9bb131",
                    "Gateway": "172.17.0.1",
                    "IPAddress": "172.17.0.3",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": null
                }
            }
        }
    }
]
